Package org.opensaml.core.testing

# Class XMLObjectProviderInitializerBaseTestCase

java.lang.Object
org.opensaml.core.testing.InitializerBaseTestCase
org.opensaml.core.testing.XMLObjectProviderInitializerBaseTestCase

public abstract class XMLObjectProviderInitializerBaseTestCase extends InitializerBaseTestCase
An abstract base class for XMLObject provider initializers which takes care of the boilerplate, requiring concrete subclasses to only supply the initializer impl to test along with the collection of QNames to check.

## Constructor Summary

Constructors
Constructor
Description
`XMLObjectProviderInitializerBaseTestCase()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract Initializer`
`getTestedInitializer()`
Get the initializer impl to test.
`protected abstract QName[]`
`getTestedProviders()`
Get the array of QNames to test from the XMLObjectProviderRegistry.
`void`
`testProviderInit()`
Test basic provider registration.

### Methods inherited from class org.opensaml.core.testing.InitializerBaseTestCase

`setUp, tearDown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLObjectProviderInitializerBaseTestCase

public XMLObjectProviderInitializerBaseTestCase()

## Method Details

### testProviderInit

public void testProviderInit() throws InitializationException
Test basic provider registration.

Throws:
  `InitializationException` - if there is an error during provider init

### getTestedInitializer

protected abstract Initializer getTestedInitializer()
Get the initializer impl to test.

Returns:
  the initializer impl instance

### getTestedProviders

protected abstract QName[] getTestedProviders()
Get the array of QNames to test from the XMLObjectProviderRegistry.

Returns:
  an array of XMLObject provider QNames